Loading...
Searching...
No Matches
partial_sum.hpp File Reference

## Classes

struct | ranges::partial_sum_fn

## Concepts

concept | ranges::indirect_semigroup_
| The `indirect_semigroup_` concept.
concept | ranges::indirect_semigroup
| The `indirect_semigroup` concept.
concept | ranges::partial_sum_constraints_
| The `partial_sum_constraints_` concept.
concept | ranges::partial_sum_constraints
| The `partial_sum_constraints` concept.

## Typedefs

template<typename I , typename O >
using | ranges::partial_sum_result = detail::in_out_result< I, O >

## Variables

constexpr partial_sum_fn | ranges::partial_sum {}